Package Details: perl-unicode-collate 1.14-1

Git Clone URL: https://aur.archlinux.org/perl-unicode-collate.git (read-only)
Package Base: perl-unicode-collate
Description: Unicode Collation Algorithm
Upstream URL: https://metacpan.org/release/Unicode-Collate
Licenses: GPL, PerlArtistic
Submitter: xenoterracide
Maintainer: jnbek
Last Packager: jnbek
Votes: 18
Popularity: 0.000000
First Submitted: 2010-04-21 20:04
Last Updated: 2015-12-28 19:09

Latest Comments

randompie commented on 2013-07-18 23:31

0.97 version is no longer on CPAN.

Patch for updating to 0.98:

--- PKGBUILD-0.97 2013-07-18 19:25:25.321515561 -0400
+++ PKGBUILD 2013-07-18 19:27:16.758388825 -0400
@@ -2,8 +2,8 @@

pkgname='perl-unicode-collate'
_perlname='Unicode-Collate'
-pkgver='0.97'
-pkgrel='2'
+pkgver='0.98'
+pkgrel='1'
pkgdesc="Unicode Collation Algorithm"
arch=('i686' 'x86_64')
license=('PerlArtistic' 'GPL')
@@ -40,4 +40,4 @@
find "$pkgdir" -name .packlist -o -name perllocal.pod -delete
}

-md5sums=('e85eee9c8d7bbc4c133a1b75654bda8e')
+md5sums=('2aad821dcee26737c78370f8fe67a7c7')

awagner commented on 2013-05-20 19:10

Hopefully, I have fixed the _distdir issue. However, I would suggest that this package be considered unmaintained, because of the conflict with core/perl. Hence, the PKGBUILD is still broken in a sense and I will immediately re-flag it as out-of-date - and disown it. Whoever has a use for this package is free to adopt and maintain it. For my purposes, I have moved to perl-unicode-collate-biber (https://aur.archlinux.org/packages/perl-unicode-collate-biber).

10111 commented on 2013-05-20 15:36

PKGBUILD is broken, fix: in build(), check() and package() replace

cd "$_distdir"

by

cd "${srcdir}/${_perlname}-${pkgver}"

rumpelsepp commented on 2013-05-03 11:12

PKGBUILD is broken

awagner commented on 2013-01-24 09:09

Because of the conflict with core perl, I have uploaded a new package perl-unicode-collate-biber (https://aur.archlinux.org/packages/perl-unicode-collate-biber). Please use either that one or core perl. If some TU would delete this package here, I wouldn't mind ;) Only right now I can't post on the tu maillist.

awagner commented on 2013-01-21 13:56

Note that this conflicts with core/perl, which also provides perl-unicode-collate, albeit a version too old for biblatex-biber. I will have to look after this, but haven't got the time ATM.

awagner commented on 2013-01-02 11:30

Updated to 0.97. Thanks, Feanor12.

Feanor12 commented on 2012-12-30 08:33

# Generator : CPANPLUS::Dist::Arch 1.19

pkgname='perl-unicode-collate'
_perlname='Unicode-Collate'
pkgver='0.97'
pkgrel='1'
pkgdesc="Unicode Collation Algorithm"
arch=('i686' 'x86_64')
license=('PerlArtistic' 'GPL')
options=('!emptydirs')
depends=('perl')
makedepends=()
url='http://search.cpan.org/dist/Unicode-Collate'
source=("http://search.cpan.org/CPAN/authors/id/S/SA/SADAHIRO/${_perlname}-${pkgver}.tar.gz")
_distdir="${srcdir}/${_perlname}-${pkgver}"

build() {
( export PERL_MM_USE_DEFAULT=1 PERL5LIB="" \
PERL_AUTOINSTALL=--skipdeps \
PERL_MM_OPT="INSTALLDIRS=vendor DESTDIR='$pkgdir'" \
PERL_MB_OPT="--installdirs vendor --destdir '$pkgdir'" \
MODULEBUILDRC=/dev/null

cd "$_distdir"
/usr/bin/perl Makefile.PL
make
)
}

check() {
cd "$_distdir"
( export PERL_MM_USE_DEFAULT=1 PERL5LIB=""
make test
)
}

package() {
cd "$_distdir"
make install
find "$pkgdir" -name .packlist -o -name perllocal.pod -delete
}

md5sums=('e85eee9c8d7bbc4c133a1b75654bda8e')

awagner commented on 2012-12-11 14:13

New upstream release (0.95).

cmorgenstern commented on 2012-12-06 17:32

Here's the correct PKGBUILD everyone can use until this gets updated.

pkgname='perl-unicode-collate'
_perlname='Unicode-Collate'
pkgver='0.94'
pkgrel='1'
pkgdesc="Unicode Collation Algorithm"
arch=('i686' 'x86_64')
license=('PerlArtistic' 'GPL')
options=('!emptydirs')
depends=('perl')
makedepends=()
url='http://search.cpan.org/dist/Unicode-Collate'
source=("http://search.cpan.org/CPAN/authors/id/S/SA/SADAHIRO/${_perlname}-${pkgver}.tar.gz")
_distdir="${srcdir}/${_perlname}-${pkgver}"

build() {
( export PERL_MM_USE_DEFAULT=1 PERL5LIB="" \
PERL_AUTOINSTALL=--skipdeps \
PERL_MM_OPT="INSTALLDIRS=vendor DESTDIR='$pkgdir'" \
PERL_MB_OPT="--installdirs vendor --destdir '$pkgdir'" \
MODULEBUILDRC=/dev/null

cd "$_distdir"
/usr/bin/perl Makefile.PL
make
)
}

check() {
cd "$_distdir"
( export PERL_MM_USE_DEFAULT=1 PERL5LIB=""
make test
)
}

package() {
cd "$_distdir"
make install
find "$pkgdir" -name .packlist -o -name perllocal.pod -delete
}

md5sums=('dc5ac51b580a6835acae981aeced6899')

cmorgenstern commented on 2012-12-06 17:22

Link is broken, also, new upstream version.
http://search.cpan.org/CPAN/authors/id/S/SA/SADAHIRO/Unicode-Collate-0.94.tar.gz

awagner commented on 2012-11-14 23:37

new upstream version (0,92). Also it seems I have adopted this now.

awagner commented on 2012-06-02 10:36

new version (0.89).

awagner commented on 2010-10-21 08:18

Thanks for the update - and I don't know the difference of '-withoutworldwriteables' either.

Anonymous comment on 2010-10-21 08:15

I'm not sure what the difference is between the '-withoutworldwriteables' and the same version without that suffix. The old PKGBUILD used that suffix so I'll stick with it.

awagner commented on 2010-10-18 21:22

biblatex-biber needs >=0.61:

----

pkgname='perl-unicode-collate'
pkgver='0.63'
pkgrel='1'
pkgdesc="Unicode Collation Algorithm"
arch=('any')
url='http://search.cpan.org/dist/Unicode-Collate'
license=('PerlArtistic' 'GPL')
depends=('perl')
options=('!emptydirs')
source=('http://search.cpan.org/CPAN/authors/id/S/SA/SADAHIRO/Unicode-Collate-0.63-withoutworldwriteables.tar.gz')

build() {
DIST_DIR="${srcdir}/Unicode-Collate-0.63"
export PERL_MM_USE_DEFAULT=1 PERL5LIB="" \
PERL_AUTOINSTALL=--skipdeps \
PERL_MM_OPT="INSTALLDIRS=vendor DESTDIR='$pkgdir'" \
PERL_MB_OPT="--installdirs vendor --destdir '$pkgdir'" \
MODULEBUILDRC=/dev/null
{
cd "$DIST_DIR" &&
perl Makefile.PL &&
make &&
make test &&
make DESTDIR="$pkgdir" install;
} || return 1;

find "$pkgdir" -name .packlist -o -name perllocal.pod -delete

}

md5sums=('75e621c4e8b3f11788186d1120f384ec')